Skip to main content
POST
/
address
/
bulk
Bulk account query
curl --request POST \
  --url https://api.example.com/address/bulk \
  --header 'Content-Type: application/json' \
  --data '{}'
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.example.com/address/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.example.com/address/bulk"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
false
{}

Query Parameters

onFinalBlock
boolean

Query on the latest final block

onStartOfEpoch
integer

Query on start of the given epoch

blockNonce
integer

Query on a specific block nonce

blockHash
string

Query on a specific block hash

blockRootHash
string

Query on a specific block root hash

hintEpoch
integer

Hint epoch for historical queries

withKeys
boolean

Include storage keys

forced-shard-id
integer

Force routing to a specific shard

Body

application/json

JSON array of bech32 addresses

The body is of type object.

Response

Successful response

The response is of type object.